<?php
/**
 * Carerix Wordpress Plugin
 *
 *
 * @category category
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Jun 26, 2013 5:02:45 PM
 * @version $Rev$
 */


/**
 * Table class
 * Used to create the connection between the plugin and wp database
 */
class WP_Table {
	
	private $interfacer = null;
	private $table = null;
	
	public function __construct($table) 
	{
		$this->interfacer = WP_Interfacer::getInstance();

		$this->table = Environment_Installation::get_table_name($table);
	}

	public function getAll()
	{
		return $this->interfacer->db_get_all($this->table);
	}
	
	/**
	 * 
	 * @param array $data
	 */
	public function insert($data)
	{
		return $this->interfacer->db_save($this->table, $data);
	}
	
	/**
	 * 
	 * @param int $id
	 * @param array $data
	 */
	public function update($id, $data)
	{
		return $this->interfacer->db_update($this->table, $id, $data);
	}
	
	/**
	 * 
	 * @param int $id
	 */
	public function delete($id)
	{
		return $this->interfacer->db_delete($this->table, $id);
	}
	
    public function deleteAll()
    {
        return $this->interfacer->db_delete_all($this->table);
    }
    
	/**
	 * 
	 * @param int $id
	 */
	public function getByID($id)
	{
		return $this->interfacer->db_get_by_id($this->table, $id);
	}
	
	public function __call($name, $arguments)
	{
		if(stripos($name, 'getBy') === 0)
		{
			$parts = array_filter(explode('By', $name));
			if(count($parts) != 2)
			{
				throw new BadMethodCallException("Bad method call in Table. Operation not supported: $name");
			}
			
			if(count($arguments) != 1)
			{
				throw new BadFunctionCallException("Bad method call in Table. Invalid argument number");
			}
			
			$column_name = strtolower($parts[1]);
			$value = $arguments[0];
			return $this->interfacer->db_get_by_column($this->table, $column_name, $value);
		}
		else
		{
			throw new BadMethodCallException("Bad method call in Table. Operation not supported: $name");
		}
	}
}

